﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace BindingToPrimitiveCollection
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ChartData chartData = new ChartData
            {
                Times = new ObservableCollection<DateTime>(),
                ValueList1 = new ObservableCollection<double>(),
                ValueList2 = new ObservableCollection<double>(),
                ValueList3 = new ObservableCollection<double>(),
            };

            Random r = new Random();
            for (int i = 0; i < 10; i++)
            {
                chartData.Times.Add(DateTime.Now.AddHours(i));
                chartData.ValueList1.Add(r.Next(50, 100) + r.NextDouble());
                chartData.ValueList2.Add(r.Next(100, 200) + r.NextDouble());
                chartData.ValueList3.Add(r.Next(250, 300) + r.NextDouble());
            }



            DataContext = chartData;
        }
    }

    public class ChartData
    {
        public ObservableCollection<DateTime> Times { get; set; }
        public ObservableCollection<double> ValueList1 { get; set; }
        public ObservableCollection<double> ValueList2 { get; set; }
        public ObservableCollection<double> ValueList3 { get; set; }
    }
}
